For the complete documentation index, see llms.txt. This page is also available as Markdown.

Hashtags

API Endpoints that deal with Hashtags

Get Similar Hashtags

Gets relevant hashtags based on the keyword provided as input

GET https://hashtag5.p.rapidapi.com/api/v2.1/tag/predict

Query Parameters

Name
Type
Description

keyword*

insta

The keyword to use as a base to generate relavant hashtags

Headers

Name
Type
Description

X-RapidAPI-Host*

hashtag5.p.rapidapi.com

Should always be the host url

X-RapidAPI-Key*

YOUR_API_KEY

Your API key

{
    "tags": [
        "insta",
        "instagram",
        "instagood",
        "love",
        "instadaily",
        "follow",
        "like",
        "instalike",
        "photography",
        "photo",
        "likeforlikes",
        "photooftheday",
        "nature",
        "happy",
        "style",
        "likes",
        "life",
        "picoftheday",
        "art",
        "followforfollowback",
        "instamood",
        "model",
        "fashion",
        "india",
        "music",
        "beauty",
        "instapic",
        "cute",
        "viral",
        "selfie"
    ]
}

Take a look at how you might call this method using our official libraries, or via curl:

GET https://hashtag5.p.rapidapi.com/api/v2.1/tag/trending

Headers

Name
Type
Description

X-RapidAPI-Host*

hashtag5.p.rapidapi.com

Should always be the host url

X-RapidAPI-Key*

YOUR_API_KEY

Your API key

Take a look at how you might call this method using our official libraries, or via curl:

Getting Top Hashtags

Gets Top Hashtags

GET https://hashtag5.p.rapidapi.com/api/v2.1/tag/top

Headers

Name
Type
Description

X-RapidAPI-Host*

hashtag5.p.rapidapi.com

Should always be the host url

X-RapidAPI-Key*

YOUR_API_KEY

Your API key

Take a look at how you might call this method using our official libraries, or via curl:

Getting Post Count

Gets a count of how many post are present on Instagram (Not realtime)

GET https://hashtag5.p.rapidapi.com/api/v2.1/tag/count

Query Parameters

Name
Type
Description

tag*

insta

The hashtag whos count we need

Headers

Name
Type
Description

X-RapidAPI-Host*

hashtag5.p.rapidapi.com

Should always be the host url

X-RapidAPI-Key*

YOUR_API_KEY

Your API key

Take a look at how you might call this method using our official libraries, or via curl:

Last updated